"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Prefix marker for a blob node in a `ProofMapIndex`.
 *
 * @type {number}
 */
var BLOB_PREFIX = exports.BLOB_PREFIX = 0;
/**
 * Prefix marker for a `ProofListIndex` object.
 * It is defined in the `HashTag` enum in the `exonum_merkledb` crate.
 *
 * @type {number}
 */
var LIST_PREFIX = exports.LIST_PREFIX = 2;
/**
 * Prefix marker for an intermediate `ProofListIndex` node.
 * It is defined in the `HashTag` enum in the `exonum_merkledb` crate.
 *
 * @type {number}
 */
var LIST_BRANCH_PREFIX = exports.LIST_BRANCH_PREFIX = 1;
/**
 * Prefix marker for a `ProofMapIndex` object.
 * It is defined in the `HashTag` enum in the `exonum_merkledb` crate.
 *
 * @type {number}
 */
var MAP_PREFIX = exports.MAP_PREFIX = 3;
/**
 * Prefix marker for an intermediate `ProofMapIndex` nodes.
 * It is defined in the `HashTag` enum in the `exonum_merkledb` crate.
 *
 * @type {number}
 */
var MAP_BRANCH_PREFIX = exports.MAP_BRANCH_PREFIX = 4;
